de.esprit.netsuite.server.pathtree.permission

## Class DefaultPathTreePermissionMaster

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.server.pathtree.permission.DefaultPathTreePermissionMaster

- All Implemented Interfaces:
    DeepCloneable, Dumpable, PathTreePermissionMaster, java.io.Serializable, java.lang.Cloneable

      public class DefaultPathTreePermissionMaster
      extends TransferableObject
      implements PathTreePermissionMaster

  This class ...
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPathTreePermissionMaster()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected PermissionDefinition` | `getDirectoryPermissionDefinitionFor(PathInfo pathInfo)`
    `protected PermissionDefinition` | `getFilePermissionDefinitionFor(PathInfo pathInfo)`
    `PermissionControlled` | `getPermissionControlledPath(PathInfo pathInfo)`
    `PermissionDefinition` | `getPermissionDefinition(PathInfo pathInfo)`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPathTreePermissionMaster

          public DefaultPathTreePermissionMaster()

  - ### Method Detail

    - #### getPermissionControlledPath

          public final PermissionControlled getPermissionControlledPath(PathInfo pathInfo)

      Specified by:
        `getPermissionControlledPath` in interface `PathTreePermissionMaster`

    - #### getPermissionDefinition

          public final PermissionDefinition getPermissionDefinition(PathInfo pathInfo)

      Specified by:
        `getPermissionDefinition` in interface `PathTreePermissionMaster`

    - #### getDirectoryPermissionDefinitionFor

          protected PermissionDefinition getDirectoryPermissionDefinitionFor(PathInfo pathInfo)

    - #### getFilePermissionDefinitionFor

          protected PermissionDefinition getFilePermissionDefinitionFor(PathInfo pathInfo)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.